var search_data = {"index":{"searchIndex":["typographicunit","americanpoint","bigpoint","centimeter","cicero","didotpoint","gou","inch","jispoint","meter","millimeter","pica","postscriptpoint","q","scaledpoint","texpoint","unit","%()","*()","+()","+@()","-()","-@()","<=>()",">>()","abs()","base()","ceil()","convert()","div()","first()","floor()","init()","inspect()","integer?()","new()","new()","nonzero?()","quo()","register()","round()","scaled_point()","scaled_point()","short()","size()","step()","to_f()","to_i()","to_int()","to_s()","truncate()","unit()","zero?()"],"longSearchIndex":["typographicunit","typographicunit::americanpoint","typographicunit::bigpoint","typographicunit::centimeter","typographicunit::cicero","typographicunit::didotpoint","typographicunit::gou","typographicunit::inch","typographicunit::jispoint","typographicunit::meter","typographicunit::millimeter","typographicunit::pica","typographicunit::postscriptpoint","typographicunit::q","typographicunit::scaledpoint","typographicunit::texpoint","typographicunit::unit","typographicunit::unit#%()","typographicunit::unit#*()","typographicunit::unit#+()","typographicunit::unit#+@()","typographicunit::unit#-()","typographicunit::unit#-@()","typographicunit::unit#<=>()","typographicunit::unit#>>()","typographicunit::unit#abs()","typographicunit::unit::base()","typographicunit::unit#ceil()","typographicunit::unit#convert()","typographicunit::unit#div()","typographicunit::gou::first()","typographicunit::unit#floor()","typographicunit::init()","typographicunit::unit#inspect()","typographicunit::unit#integer?()","typographicunit::gou::new()","typographicunit::unit::new()","typographicunit::unit#nonzero?()","typographicunit::unit#quo()","typographicunit::unit::register()","typographicunit::unit#round()","typographicunit::gou#scaled_point()","typographicunit::unit#scaled_point()","typographicunit::unit::short()","typographicunit::unit::size()","typographicunit::unit#step()","typographicunit::unit#to_f()","typographicunit::unit#to_i()","typographicunit::unit#to_int()","typographicunit::unit#to_s()","typographicunit::unit#truncate()","typographicunit::unit::unit()","typographicunit::unit#zero?()"],"info":[["TypographicUnit","","TypographicUnit.html","","<p>TypographicUnit is a namespece for unit classes.\n"],["TypographicUnit::AmericanPoint","","TypographicUnit/AmericanPoint.html","","<p>AmericanPoint is a unit of American point. See www.ops.dti.ne.jp/~robundo/TMTaroY01.html for details. …\n"],["TypographicUnit::BigPoint","","TypographicUnit/BigPoint.html","","<p>This is a class for big point(bp). Big point is defined as 1/72 inch in this library.\n"],["TypographicUnit::Centimeter","","TypographicUnit/Centimeter.html","","<p>This is a class for representing centimeter(cm). Centimeter is defined as 10 millimeter in this library. …\n"],["TypographicUnit::Cicero","","TypographicUnit/Cicero.html","","<p>This is a class for representing cicero(cc). Cicero is defined as 12 didot point in this library.\n"],["TypographicUnit::DidotPoint","","TypographicUnit/DidotPoint.html","","<p>This is a class for representing didot point(dd). Didot point is defined as 1238/1157 tex point in this …\n"],["TypographicUnit::Gou","","TypographicUnit/Gou.html","","<p>Gou is a unit of Japanese Gou(号). See www.um.u-tokyo.ac.jp/publish_db/1996Moji/05/5901.html and www.asahi-net.or.jp/~ax2s-kmtn/ref/type_size.html …\n"],["TypographicUnit::Inch","","TypographicUnit/Inch.html","","<p>Inch is a unit of inch. 7227 TeX point equals 100 inch.\n"],["TypographicUnit::JISPoint","","TypographicUnit/JISPoint.html","","<p>JISPoint is a unit of JIS point. JIS point is just same as American point.\n"],["TypographicUnit::Meter","","TypographicUnit/Meter.html","","<p>This is a class for representing meter(cm). Meter is defined as 100 centimeter in this library.\n"],["TypographicUnit::Millimeter","","TypographicUnit/Millimeter.html","","<p>This is a class for representing millimeter(mm). Millimeter is defined as 10/254 inch in this library. …\n"],["TypographicUnit::Pica","","TypographicUnit/Pica.html","","<p>This is a class for representing Pica(pc). Pica is defined as 12 tex point in this library.\n"],["TypographicUnit::PostScriptPoint","","TypographicUnit/PostScriptPoint.html","","<p>This is a class for representing PostScript point(ps_pt). PostScript point is defined as 1 big point …\n"],["TypographicUnit::Q","","TypographicUnit/Q.html","","<p>Q is a unit of Japanese Q(級).\n"],["TypographicUnit::ScaledPoint","","TypographicUnit/ScaledPoint.html","","<p>This is a class for representing scaled point(sp). Scaled point is defined as base unit in this library. …\n"],["TypographicUnit::TeXPoint","","TypographicUnit/TeXPoint.html","","<p>TeXPoint is a unit of TeX point. 1 TeX point equals 65536 scaled point.\n"],["TypographicUnit::Unit","","TypographicUnit/Unit.html","","<p>This is a base class for all unit classes.\n"],["%","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-25","(other)","<p>Same as +Number#%+.\n"],["*","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-2A","(other)","<p>Same as +Number#*+.\n"],["+","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-2B","(other)","<p>Perform addition.\n<p>@param other [Unit]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">additional</span> <span class=\"ruby-identifier\">value</span>\n</pre>\n"],["+@","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-2B-40","()","<p>Same as Number#+@.\n"],["-","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-2D","(other)","<p>Perform subtraction.\n<p>@param other [Unit]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">subtractional</span> <span class=\"ruby-identifier\">value</span>\n</pre>\n"],["-@","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-2D-40","()","<p>Same as +Number#-@+.\n"],["<=>","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-3C-3D-3E","(other)","<p>@api private\n"],[">>","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-3E-3E","(other)","<p>Convert the length into other unit.\n<p>@param other [Unit]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">target</span> <span class=\"ruby-identifier\">unit</span>\n</pre>\n"],["abs","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-abs","()","<p>Same as +Number#abs+.\n"],["base","TypographicUnit::Unit","TypographicUnit/Unit.html#method-c-base","()","<p>Return base unit class.\n<p>@return [Class]\n\n<pre>base unit class</pre>\n"],["ceil","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-ceil","()","<p>Same as +Number#ceil+.\n"],["convert","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-convert","(other)",""],["div","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-div","(other)","<p>Same as +Number#div+.\n"],["first","TypographicUnit::Gou","TypographicUnit/Gou.html#method-c-first","()","<p>Return a size according to “初号”.\n"],["floor","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-floor","()","<p>Same as +Number#floor+.\n"],["init","TypographicUnit","TypographicUnit.html#method-c-init","()","<p>Initialize typographic-unit. This makes unit methods for Numeric.\n"],["inspect","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-inspect","()","<p>@api private\n"],["integer?","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-integer-3F","()","<p>Same as +Number#integer?+.\n"],["new","TypographicUnit::Gou","TypographicUnit/Gou.html#method-c-new","(value)",""],["new","TypographicUnit::Unit","TypographicUnit/Unit.html#method-c-new","(value)",""],["nonzero?","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-nonzero-3F","()","<p>Same as +Number#nonzero?+.\n"],["quo","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-quo","(other)","<p>Same as +Number#quo+.\n"],["register","TypographicUnit::Unit","TypographicUnit/Unit.html#method-c-register","(short, unit)","<p>@api private\n"],["round","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-round","()","<p>Same as +Number#round+.\n"],["scaled_point","TypographicUnit::Gou","TypographicUnit/Gou.html#method-i-scaled_point","()","<p>Convert the value into american point.\n"],["scaled_point","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-scaled_point","()","<p>Convert the value into scaled point.\n<p>@return [ScaledPoint]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">scaled</span> <span class=\"ruby-identifier\">point</span> <span class=\"ruby-identifier\">representation</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">length</span>\n</pre>\n"],["short","TypographicUnit::Unit","TypographicUnit/Unit.html#method-c-short","()","<p>Return short name of the unit.\n<p>@return [Symbol]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">short</span> <span class=\"ruby-identifier\">name</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">unit</span>\n</pre>\n"],["size","TypographicUnit::Unit","TypographicUnit/Unit.html#method-c-size","()","<p>Return size of the unit.\n<p>@return [Rational]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">size</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">unit</span>\n</pre>\n"],["step","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-step","(limit, step=1)","<p>Same as +Number#step+ but you can specify <code>step</code> as unit length.\n<p>@param limit [Unit]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">limit</span> <span class=\"ruby-identifier\">length</span>\n</pre>\n"],["to_f","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-to_f","()","<p>Convert to float representation.\n<p>@return [Unit]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">same</span> <span class=\"ruby-identifier\">unit</span> <span class=\"ruby-identifier\">but</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">value</span> <span class=\"ruby-identifier\">is</span> <span class=\"ruby-identifier\">float</span>\n</pre>\n"],["to_i","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-to_i","()","<p>Convert to int representaion.\n<p>@return [Unit]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">same</span> <span class=\"ruby-identifier\">unit</span> <span class=\"ruby-identifier\">but</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">value</span> <span class=\"ruby-identifier\">is</span> <span class=\"ruby-identifier\">int</span>\n</pre>\n"],["to_int","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-to_int","()","<p>Convert to int representation.\n<p>@return [Unit]\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">same</span> <span class=\"ruby-identifier\">unit</span> <span class=\"ruby-identifier\">but</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">value</span> <span class=\"ruby-identifier\">is</span> <span class=\"ruby-identifier\">float</span>\n</pre>\n"],["to_s","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-to_s","()","<p>Return string format.\n"],["truncate","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-truncate","()","<p>Same as +Number#truncate+.\n"],["unit","TypographicUnit::Unit","TypographicUnit/Unit.html#method-c-unit","(short, base, size)","<p>Define a unit. This method is used in concrete unit classes.\n<p>@param short [Symbol]\n\n<pre>short name for the unit</pre>\n"],["zero?","TypographicUnit::Unit","TypographicUnit/Unit.html#method-i-zero-3F","()","<p>Same as +Number#zero?+.\n"]]}}